<?php
/*
 * Sample FormMail filter using PHP.  This one must be used
 * via $SOCKET_FILTERS (ie. via web server).
 * This sample upper-cases all the text.
 */

    //
    // error reporting function
    //
function FatalError($s_mesg)
{
    echo "$s_mesg\n";
    exit(1);
}

if (!isset($_SERVER) || !isset($_SERVER["REQUEST_METHOD"]) ||
    empty($_SERVER["REQUEST_METHOD"]))
    FatalError("This filter must be used via \$SOCKET_FILTERS");

echo "The following data was filtered through upperfilter.php...\r\n";

    //
    // grab the data field and just output it in upper case
    // FormMail sends the form submission to the filter in a POST
    // field called "data".
    //
if (!isset($_POST["data"]))
    FatalError("No 'data' field found in POST data");

echo strtoupper($_POST["data"]);

    //
    // tell FormMail the filter worked OK
    //
if (isset($_SERVER) && isset($_SERVER["REQUEST_METHOD"]) &&
    !empty($_SERVER["REQUEST_METHOD"]))
    echo "\r\n__OK__\r\n";
?>
