<?php
/*
 * Sample FormMail filter using PHP on the command line:
 *  php upperfiltercmd.php
 * This sample upper-cases all the text.
 */

    //
    // error reporting function
    //
function FatalError($s_mesg)
{
    echo "$s_mesg\n";
    exit(1);
}


    //
    // open standard input and standard output
    //
if (($fIn = @fopen("php://stdin","r")) === FALSE)
    FatalError("Failed to open standard input");
if (($fOut = @fopen("php://stdout","w")) === FALSE)
    FatalError("Failed to open standard output");

echo "The following data was filtered through upperfilter.php...\r\n";

    //
    // read input, convert to upper case and write to output
    //
while (!feof($fIn))
{
    $sLine = fgets($fIn,1024);
    $sLine = strtoupper($sLine);
    fputs($fOut,$sLine);
}
    //
    // close input and output
    //
fclose($fIn);
fclose($fOut);
?>
